Summary: Smart getty replacement for data and fax modems
Name: mgetty
Version: 1.1.14
Release: 5C2
Source: ftp://ftp.leo.org/pub/comp/os/unix/networking/mgetty/mgetty1.1.14-Apr02.tar.gz
Patch0: mgetty-1.1.14-config.patch
Patch1: mgetty-1.1.5-makekvg.patch
Patch2: mgetty-1.1.14-policy.patch
Patch3: mgetty-1.1.5-strip.patch
Patch4: mgetty-1.1.14-echo.patch
Patch5: mgetty-1.1.14-logrotate.patch
Patch6: mgetty-1.1.9-imakefile.patch
Patch7: mgetty-1.1.14-cobalt.patch
#Requires: libgr-progs
Copyright: distributable
Group: Networking/Utilities
Buildroot: /var/tmp/mgetty+sendfax-root
Prereq: /sbin/install-info
Summary(de): Intelligenter Ersatz fr Daten- und Faxmodems 
Summary(fr): Remplacement de getty pour les modems donnes et fax
Summary(tr): Veri ve faks modemleri iin yeni ve akll bir getty

%package sendfax
Summary: Support for sending and receiving faxes via a faxmodem
Requires: mgetty = %{PACKAGE_VERSION}
Group: Networking/Utilities
Summary(de): Untersttzung zum Versand und Empfang von Faxnachrichten ber ein Faxmodem 
Summary(fr): Gestion de l'envoi et de la rception de fax via un faxmodem
Summary(tr): 1 veya 2 snf modemler zerinden fax gnderme destei

%description
This package contains an intelligent getty for allowing logins over a
serial line (such as through a modem). It allows automatic callback
and includes fax support (though mgetty-sendfax needs to be installed to
make full use of it's fax support).

%description sendfax
This package includes support for FAX Class 2 modems to send and receive
faxes. It also includes simple FAX queueing support.

%description -l de
Dieses Paket enthlt ein intelligentes getty, das das Anmelden ber eine
serielle Leitung, z.B. ein Modem, zult. Es untersttzt automatischen Rckruf
und Fax (fr vollstndige Fax-Untersttzung mu jedoch mgetty-sendfax
installiert werden.

%description -l de sendfax
Dieses Paket schliet Untersttzung fr den Versand und Empfang durch 
Modems der FAX Class 2 ein. Ebenfalls enthalten ist der Support fr 
eine einfache FAX-Warteschlange. 

%description -l fr
Ce paquetage contient un getty intelligent permettant les logins sur une
ligne srie (via un modem, par exemple). Il autorise le rappel automatique
et contient une gestion fax (mgetty-sendfax doit tre install pour
utiliser pleinement cette gestion fax).

%description -l fr sendfax
Ce paquetage contient la gestion des modems FAX Classe 2 pour mettre et
recevoir des faxs. Il contient aussi une gestion simple des attentes de fax.

%description -l tr
Bu pakette seri balant zerinden sisteme girie olanak veren, akll bir
getty srm bulunur. Otomatik arama ve faks destei ierir (salad fax
desteinin tam olarak kullanlabilmesi iin mgetty-sendfax paketi gerekir).

%description -l tr sendfax
Bu paket 'FAX Class 2' modemleri iin faks gnderme ve alma destei ierir.
Ayn zamanda basit bir faks kuyruu destei vardr.

%prep
%setup -q
cp policy.h-dist policy.h
%patch0 -p1 -b .config
%patch1 -p1 -b .makekvg
%patch2 -p1
%patch3 -p1 -b .strip
%patch4 -p1 -b .echo
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/spool -p $RPM_BUILD_ROOT/sbin
make prefix=$RPM_BUILD_ROOT/usr spool=$RPM_BUILD_ROOT/var/spool \
	CONFDIR=$RPM_BUILD_ROOT/etc/mgetty+sendfax install
install -m700 callback/callback $RPM_BUILD_ROOT/usr/sbin
install -m4711 callback/ct $RPM_BUILD_ROOT/usr/bin
strip $RPM_BUILD_ROOT/usr/bin/newslock

gzip -9n $RPM_BUILD_ROOT/usr/info/*

mv $RPM_BUILD_ROOT/usr/sbin/mgetty $RPM_BUILD_ROOT/sbin

# this conflicts with efax
mv $RPM_BUILD_ROOT/usr/man/man1/fax.1 $RPM_BUILD_ROOT/usr/man/man1/mgetty_fax.1

# don't ship documentation that is executable...
find samples -type f -exec chmod 644 {} \;

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m 0644 logrotate.mgetty $RPM_BUILD_ROOT/etc/logrotate.d/mgetty
install -m 0644 logrotate.sendfax $RPM_BUILD_ROOT/etc/logrotate.d/sendfax

# Make sure everything is stripped
strip $RPM_BUILD_ROOT/usr/bin/* $RPM_BUILD_ROOT/usr/sbin/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/mgetty.info.gz /usr/info/dir --entry="* mgetty: (mgetty).		Package to handle faxes and more."

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/mgetty.info.gz /usr/info/dir --entry="* mgetty: (mgetty). 	Package to handle faxes and more."
fi

%files
%defattr(-,root,root)
%doc FAQ BUGS ChangeLog README.1st THANKS doc/modems.db samples 
#%doc doc/mgetty.ps doc/*.txt
%doc doc/*.txt
/sbin/mgetty
/usr/man/man8/mgetty.8
/usr/man/man8/callback.8
/usr/man/man8/faxrunqd.8
/usr/man/man4/mgettydefs.4
/usr/info/mgetty.info-2.gz
/usr/info/mgetty.info-3.gz
/usr/info/mgetty.info-4.gz
/usr/info/mgetty.info.gz
/usr/info/mgetty.info-1.gz
%dir /etc/mgetty+sendfax
%config /etc/mgetty+sendfax/login.config
%config /etc/mgetty+sendfax/mgetty.config
%config /etc/mgetty+sendfax/dialin.config
%config /etc/logrotate.d/mgetty

%files sendfax
%defattr(-,root,root)
%dir /var/spool/fax
%dir /var/spool/fax/incoming
%dir /var/spool/fax/outgoing
%dir /var/spool/fax/outgoing/locks

/usr/bin/kvg
/usr/bin/newslock
/usr/bin/g3cat
/usr/bin/g32pbm
/usr/bin/pbm2g3
/usr/bin/faxspool
/usr/bin/faxrunq
/usr/bin/faxq
/usr/bin/faxrm
/usr/bin/ct
/usr/sbin/sendfax
/usr/sbin/faxrunqd
/usr/sbin/callback
%dir	/usr/lib/mgetty+sendfax
/usr/lib/mgetty+sendfax/cour25.pbm
/usr/lib/mgetty+sendfax/cour25n.pbm
/usr/man/man1/g32pbm.1
/usr/man/man1/pbm2g3.1
/usr/man/man1/g3cat.1
/usr/man/man1/mgetty_fax.1
/usr/man/man1/faxspool.1
/usr/man/man1/faxrunq.1
/usr/man/man1/faxq.1
/usr/man/man1/faxrm.1
/usr/man/man1/coverpg.1
/usr/man/man5/faxqueue.5
/usr/man/man8/sendfax.8
%config /etc/mgetty+sendfax/sendfax.config
%config /etc/mgetty+sendfax/faxrunq.config
%config /etc/mgetty+sendfax/faxheader
%config /etc/logrotate.d/sendfax

%changelog
* Mon Jan 25 1999 Sridhar Gopal <gsri@cobaltnet.com>
- reduce max_login_time to 15 seconds
- eliminate warning time before login timeout

* Thu Jan 8 1999 Sridhar Gopal <gsri@cobaltnet.com>
- removed viewfax and voicemail stuff
- no requires: libgr-progs

* Sat Aug 22 1998 Jos Vos <jos@xos.nl>
- Use a patch for creating policy.h using policy.h-dist.
- Add viewfax subpackage (X11 fax viewing program).
- Add logrotate config files for mgetty and sendfax log files.
- Properly define ECHO in Makefile for use with bash.
- Add optional use of dialin.config (for modems supporting this).
- Change default notification address to "root" (was "faxadmin").
- Change log file names according to better defaults.
- Change default notify program to /etc/mgetty+sendfax/new_fax (was
  /usr/local/bin/new_fax).

* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- add faxrunqd man page (problem #850)
- add missing pbm2g3 (and man page); remove unnecessary "rm -f pbmtog3"
- delete redundant ( cd tools; make ... )

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.1.14
- AutoPPP patch
 
* Thu Dec 18 1997 Mike Wangsmo <wanger@redhat.com>
- added more of the documentation files to the rpm

* Wed Oct 29 1997 Otto Hammersmith <otto@redhat.com>
- added install-info support

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- updated version

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- now requires libgr-progs instead of netpbm

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- built against glibc
